com.amazonaws.codegen.utils

## Interface FunctionalUtils.ExceptionThrowingFunction<T,R>

Enclosing class:
  FunctionalUtils

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public static interface FunctionalUtils.ExceptionThrowingFunction<T,R>

Equivalent of `Function` that throws a checked exception.

### Method Summary

All Methods Instance Methods Abstract Methods
`R` `apply(T t)`

### Method Detail

#### apply

    R apply(T t)
     throws Exception

Throws:
  `Exception`